#!/bin/bash

# L2Ork patching mechanism (c) L2Ork http://l2ork.music.vt.edu

width=`tput cols`

linebreak()
{
	i=0
	while [ $i -lt $width ]
	do
		echo -n "="
		let i+=1
	done
}

echo -e "\n\n"
linebreak
echo -e "L2Ork PATCH APPLICATION INSTRUCTIONS:"
linebreak
echo -e "If asked for your user password during patch application process, please enter it and press RETURN."
linebreak
echo -n Applying patch...

# ------------- do not touch anything above this line ------------- 

#place patch contents below
cp -rf 8 ~/L2Ork/Exercises/
cp -rf 9 ~/L2Ork/Exercises/
cp -f Desktop/* ~/Desktop/
#cp -r Abstractions ~/L2Ork/PD/

#sudo parts go below this point (must also uncomment next line if patch uses sudo parts)
sudo ls > /dev/null
sudo mv /etc/init.d/ondemand /etc/init.d/ondemand.old
sudo cp ondemand /etc/init.d/ondemand
sudo chmod 755 /etc/init.d/ondemand
cd Pd-0.42.5*
sudo make install > /dev/null
#sudo apt-get update
#sudo apt-get upgrade

# ------------- do not touch anything below this line -------------

echo "Done!"
echo -e "\n\nPRESS RETURN TO CLOSE"
read dummy_var
exit 0
